namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Slider::indicator_format_get() const
{
   const char * __return_value =  ::efl_ui_slider_indicator_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_format_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type indicator) const
{
    ::efl_ui_slider_indicator_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(indicator));
}
inline ::efl::eolian::return_traits<bool>::type Slider::indicator_show_get() const
{
   Eina_Bool __return_value =  ::efl_ui_slider_indicator_show_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_show_set( ::efl::eolian::in_traits<bool>::type show) const
{
    ::efl_ui_slider_indicator_show_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(show));
}
inline ::efl::eolian::return_traits<bool>::type Slider::indicator_show_on_focus_get() const
{
   Eina_Bool __return_value =  ::efl_ui_slider_indicator_show_on_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_show_on_focus_set( ::efl::eolian::in_traits<bool>::type flag) const
{
    ::efl_ui_slider_indicator_show_on_focus_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(flag));
}
inline ::efl::eolian::return_traits<double>::type Slider::step_get() const
{
   double __return_value =  ::efl_ui_slider_step_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::step_set( ::efl::eolian::in_traits<double>::type step) const
{
    ::efl_ui_slider_step_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(step));
}
inline ::efl::eolian::return_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type Slider::indicator_visible_mode_get() const
{
   Efl_Ui_Slider_Indicator_Visible_Mode __return_value =  ::efl_ui_slider_indicator_visible_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_visible_mode_set( ::efl::eolian::in_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type indicator_visible_mode) const
{
    ::efl_ui_slider_indicator_visible_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Slider_Indicator_Visible_Mode,  ::efl::eolian::in_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type>(indicator_visible_mode));
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_format_function_set( ::efl::eolian::in_traits<slider_func_type>::type func,  ::efl::eolian::in_traits<slider_freefunc_type>::type free_func) const
{
    ::efl_ui_slider_indicator_format_function_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<slider_func_type,  ::efl::eolian::in_traits<slider_func_type>::type>(func)
      ,  ::efl::eolian::convert_to_c<slider_freefunc_type,  ::efl::eolian::in_traits<slider_freefunc_type>::type>(free_func));
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Slider::indicator_format_get() const
{
   const char * __return_value =  ::efl_ui_slider_indicator_format_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_format_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type indicator) const
{
    ::efl_ui_slider_indicator_format_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(indicator));
}
inline ::efl::eolian::return_traits<bool>::type Slider::indicator_show_get() const
{
   Eina_Bool __return_value =  ::efl_ui_slider_indicator_show_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_show_set( ::efl::eolian::in_traits<bool>::type show) const
{
    ::efl_ui_slider_indicator_show_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(show));
}
inline ::efl::eolian::return_traits<bool>::type Slider::indicator_show_on_focus_get() const
{
   Eina_Bool __return_value =  ::efl_ui_slider_indicator_show_on_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_show_on_focus_set( ::efl::eolian::in_traits<bool>::type flag) const
{
    ::efl_ui_slider_indicator_show_on_focus_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(flag));
}
inline ::efl::eolian::return_traits<double>::type Slider::step_get() const
{
   double __return_value =  ::efl_ui_slider_step_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::step_set( ::efl::eolian::in_traits<double>::type step) const
{
    ::efl_ui_slider_step_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(step));
}
inline ::efl::eolian::return_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type Slider::indicator_visible_mode_get() const
{
   Efl_Ui_Slider_Indicator_Visible_Mode __return_value =  ::efl_ui_slider_indicator_visible_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_visible_mode_set( ::efl::eolian::in_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type indicator_visible_mode) const
{
    ::efl_ui_slider_indicator_visible_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Slider_Indicator_Visible_Mode,  ::efl::eolian::in_traits<Efl_Ui_Slider_Indicator_Visible_Mode>::type>(indicator_visible_mode));
}
inline ::efl::eolian::return_traits<void>::type Slider::indicator_format_function_set( ::efl::eolian::in_traits<slider_func_type>::type func,  ::efl::eolian::in_traits<slider_freefunc_type>::type free_func) const
{
    ::efl_ui_slider_indicator_format_function_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<slider_func_type,  ::efl::eolian::in_traits<slider_func_type>::type>(func)
      ,  ::efl::eolian::convert_to_c<slider_freefunc_type,  ::efl::eolian::in_traits<slider_freefunc_type>::type>(free_func));
}
inline efl::ui::Slider::operator ::efl::ui::Slider() const { return *static_cast< ::efl::ui::Slider const*>(static_cast<void const*>(this)); }
inline efl::ui::Slider::operator ::efl::ui::Slider&() { return *static_cast< ::efl::ui::Slider*>(static_cast<void*>(this)); }
inline efl::ui::Slider::operator ::efl::ui::Slider const&() const { return *static_cast< ::efl::ui::Slider const*>(static_cast<void const*>(this)); }
} } }

